POST
/admin/disable
http://guardduty.{region}.amazonaws.com/admin/disableDisables an Amazon Web Services account within the Organization as the GuardDuty delegated administrator.
Access Token Required: API Key
Body Params
adminAccountIdstringrequired
The Amazon Web Services Account ID for the organizations account to be disabled as a GuardDuty delegated administrator.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request POST \2 --url 'http://guardduty.{region}.amazonaws.com/admin/disable' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}